QGIS Application - Bug report #7105

ftools execute functions only with the first datarecord from source in QGIS master

2013-02-05 01:16 PM - Gerhard Spieles

Status: Closed

Priority: Normal
Assignee:

Category: Processing/QGIS

Affected QGIS version:master
Operating System: win

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?:

Easy fix?:

Resolution: worksforme
Copied to github as #: 16182

Description

| tested some ftools functions (buffer, polygon to line e.g.)from menue item "Vektor" in QGIS 1.9.0 Alpha, commit:7dce617.
It seems, that ftools recognize only the first datarecord in the source file. The new built shp-file contais only one datarecord based on the

first datarecord from source

The buffer function reports also a python error like:

Fehler bei der Ausfiihrung von Python-Code:
Traceback (most recent call last):

File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doGeoprocessing.py", line 84, in update

self.attrib.addltem( unicode( changedField[i].name() ) )

TypeError: QgsFields.__getitem__ (): argument 1 has unexpected type 'QgsField'

Python-Version:

2.7.2 (default, Jun 122011, 15:08:59) [MSC v.1500 32 bit (Intel)]
QGIS-Version:

1.9.0-Master Master, 7dce617 .......

Related issues:

Duplicates QGIS Application - Bug report # 7055: All plugins report python er...

Closed 2013-01-27

History

#1 - 2013-02-05 02:51 PM - Salvatore Larosa
- Status changed from Open to Feedback

Hi,
the buffer tool works as expected here,
and that error will be fixed with this [1] pull request.

Could you provide more info and some sample data, please ?

[1] - https://github.com/qgis/Quantum-GIS/pull/419

#2 - 2013-02-06 01:33 AM - Giovanni Manghi

here too it not possible to replicate this issue. It would be better to attach sample data. cheers!
https://github.com/qgis/Quantum-GIS/pull/419

#3 - 2013-02-06 12:26 PM - Gerhard Spieles

Upate to rev. b35a456, ftools works ok with all datarecords.

Only buffer function brings the following error report, functionality is ok and buffer is generated:

Fehler bei der Ausfiihrung von Python-Code:
Traceback (most recent call last):
File "C:\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doGeoprocessing.py", line 84, in update
self.attrib.addltem( unicode( changedField[i].name() ) )
TypeError: QgsFields.__getitem__(): argument 1 has unexpected type 'QgsField'
Python-Version:
2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]
QGIS-Version:
1.9.0-Master Master, b35a456

#4 - 2013-02-07 12:11 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed

Only buffer function brings the following error report, functionality is ok and buffer is generated:

this has already been fixed, wait for a further master update. But anyway was another issue.

#5 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
